/* Remove everything from the database other than cacti to export */

begin exclusive transaction;

/* Clear unneeded tables */
delete from watering;
delete from log;
delete from event;

/* Delete images unconnected to cacti */
delete from image where type != 0;

/* Zero-out watering, log, and event counts */
update version set num_watering = 0;
update version set num_logs = 0;
update version set num_events = 0;

/* Update image count */
update version set num_images = (select count(*) from image);

commit;
